Commit 2ae5898a authored by F-Droid checkupdates's avatar F-Droid checkupdates
Browse files

Update DSub to 5.5.3 (208)

parent 8432d6c5
Pipeline #507453762 passed with stages
in 11 minutes and 3 seconds
......@@ -216,6 +216,38 @@ Builds:
- popd
- mv $$kryo$$/target/kryo-2.21.1.jar libs
- versionName: 5.5.3
versionCode: 208
commit: 47cd98ef2b6c9cbe17b64da67221f3238818a384
subdir: app
submodules: true
gradle:
- floss
srclibs:
- Cling@2.1.1
- kryo@kryo-2.21.1
prebuild:
- sed -i -e 's|http://4thline.org/m2|https://jitpack.io|' -e '/jcenter/a mavenLocal()'
../build.gradle
- pushd $$Cling$$
- sed -i -e '/<pluginRepositories>/,/<\/pluginRepositories>/d' -e 's|http://4thline.org/m2|https://jitpack.io|'
-e '/<groupId>org.fourthline.lemma/,/<plugin>/d' -e '/lemma.version/d' -e
's/org.seamless/com.github.4thline.seamless/' pom.xml */pom.xml
- popd
- pushd $$kryo$$
- sed -i -e '/Embed-Dependency/d' pom.xml
- popd
scandelete:
- app/libs
build:
- pushd $$Cling$$
- mvn --projects core,support -am clean install -Dmaven.javadoc.skip=true
- popd
- pushd $$kryo$$
- mvn package -Dmaven.test.skip=true
- popd
- mv $$kryo$$/target/kryo-2.21.1.jar libs
MaintainerNotes: |-
DSub 5.4.1 has a vulnerability: https://www.cvedetails.com/cve/CVE-2018-1000664/
......@@ -226,5 +258,5 @@ MaintainerNotes: |-
AutoUpdateMode: Version
UpdateCheckMode: Tags
CurrentVersion: 5.5.2
CurrentVersionCode: 207
CurrentVersion: 5.5.3
CurrentVersionCode: 208
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment